# module Cairo::Format

cairo_format_t

### Constants

A1
A8
ARGB32
INVALID
RGB16_565
RGB24
RGB30

### Public Class Methods

stride_for_width(p1, p2) click to toggle source

    static VALUE
    cr_format_stride_for_width (VALUE self, VALUE format, VALUE width)
    {
      return INT2NUM (cairo_format_stride_for_width (RVAL2CRFORMAT (format),
                                                     NUM2INT (width)));
    }